ChiliProject - Task # 115: Fix rewriting of additional domains to the canonical one
Description: h2. Fix basic rewritung
Currently the HTTP vhost (NOT the HTTPS vhost) basically does this:
<pre>RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [R,L]</pre>
This creates a certificate warning when accessing http://chiliproject.com, as it forwards to
https://chiliproject.com, but our certificate is only valid for @chiliproject.org@ and @www.chiliproject.org@.
Also, it doesn't fully handle redirects as Google expects it. Currently, chiliproject.net is shown in a search for
chiliproject.
| propose the following change:
<pre>RewriteRule (.*) https://www.chiliproject.org/%{REQUEST_URI} [R=301,L]</pre>
The result can be checked with a <pre>curl -v http://chiliproject.com</pre>
The contents of the @Location@ header should be https://chiliproject.org/ and the HTTP status code of the
answer should be 301.
h2. Add additional domains for rewriting
All available domains should be rewritten. Ideally we would use that rewrite-rule for all requests that could not
be handled in any other way. If that is not possible, at least the following domains should be in
@ServerAlias@.
* (www.)?chiliproject.(com|net|org)
* (www.)?chilliproject.(com|net|org)
* (www.)?chileproject.(com|net|org)

History

2011-01-31 11:52 pm - Eric Davis
- Project changed from Organization to ChiliProject

2011-02-01 06:24 am - Eric Davis
It looks like it is configured right for the HTTPS site but not the HTTP site.

<pre>
#HTTP

<VirtualHost *:80>

ServerName www.chiliproject.org

ServerAlias chiliproject.org chiliproject.com www.chiliproject.com
RewriteEngine On

RewriteCond %{HTTPS} !=on

RewriteCond %{REQUEST_URI} !"/server-status

RewriteRule (.*) https://%{HTTP_HOST}%{REQUEST_URI} [R,L]

</VirtualHost>

</pre>
<pre>
#HTTPS
<VirtualHost _default_:443>
ServerName www.chiliproject.org
ServerAlias chiliproject.org chiliproject.com www.chiliproject.com
RewriteEngine On
RewriteCond %{HTTP_HOST} "www.chiliproject.org$ [NC]
RewriteRule *(.*)$ https://www.chiliproject.org$1 [R=301,L]

</pre>

2011-02-01 06:39 am - Eric Davis
- Assignee changed from Eric Davis to Holger Just

- Category set to ChiliProject - Organization

- Status deleted ()

Holger:

I think | got it configured with a change to the HTTP rewrites and removing the .com from the domain aliases. The vhost is using catchall virtual hosts

so any domain should hit the app. Any non-.org HTTPS request will present a certificate error but | have all of the HTTP requests going directly to
HTTPS .org.

2011-02-01 08:24 pm - Holger Just

- Status set to Closed

Looks good. Thanks.
